/* 
 * This file must be included before all other files in order to get
 * large file support everywhere.
 */
#define _FILE_OFFSET_BITS 64

#define BUG_ON(x)	do { if (x) die("BUG: %s at %s:%d in %s()\n", #x, __FILE__, __LINE__, __FUNCTION__); } while (0)
#define ARRAYSIZE(x)	(sizeof (x) / sizeof ((x)[0]))
typedef enum { false, true } bool_t;

extern	bool_t		opt_numeric;
extern	bool_t		opt_onefs;
extern	int		opt_verbose;
extern	const char **	opt_exclude;
extern	bool_t		opt_debug;
extern	bool_t		opt_hex;
extern	bool_t		opt_localtime;
extern	bool_t		opt_noatime;

extern	int		main(int argc, char **argv);
extern	const char *	cwd(void);
extern	void *		xmalloc(int size);
extern	void *		xrealloc(void *mem, int size);
extern	void *		alc(int size);
extern	char *		alcstr(const char *s);
extern	void		warn(const char *fmt, ...) __attribute__((format(printf, 1, 2)));
extern	void		die(const char *fmt, ...) __attribute__((format(printf, 1, 2), noreturn));
